Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mpisws.p2p.transport.sourceroute.factory
Class MultiAddressSourceRouteFactory

    java.lang.Object
      org.mpisws.p2p.transport.sourceroute.factory.MultiAddressSourceRouteFactory

All Implemented Interfaces:
  SourceRouteFactory<MultiInetSocketAddress>

    public class MultiAddressSourceRouteFactory

extends java.lang.Object
implements SourceRouteFactory<MultiInetSocketAddress>

Constructor Summary
`MultiAddressSourceRouteFactory()`

Method Summary
`SourceRoute<MultiInetSocketAddress>` | `build(InputBuffer buf, MultiInetSocketAddress local, MultiInetSocketAddress lastHop)` 2 in the path is a special case, and we can just generate it from the local and last hops
`SourceRoute<MultiInetSocketAddress>` | `getSourceRoute(java.util.List<MultiInetSocketAddress> route)`
`SourceRoute<MultiInetSocketAddress>` | `getSourceRoute(MultiInetSocketAddress local)`
`SourceRoute<MultiInetSocketAddress>` | `getSourceRoute(MultiInetSocketAddress local, MultiInetSocketAddress dest)`
`SourceRoute<MultiInetSocketAddress>` | `reverse(SourceRoute<MultiInetSocketAddress> route)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MultiAddressSourceRouteFactory

    public MultiAddressSourceRouteFactory()

Method Detail

### build

    public SourceRoute<MultiInetSocketAddress> build(InputBuffer buf,
                                                     MultiInetSocketAddress local,
                                                     MultiInetSocketAddress lastHop)
                                              throws java.io.IOException

  2 in the path is a special case, and we can just generate it from the local and last hops

  Specified by:
    `build` in interface `SourceRouteFactory<MultiInetSocketAddress>`
  Throws:
    `java.io.IOException`

### getSourceRoute

    public SourceRoute<MultiInetSocketAddress> getSourceRoute(java.util.List<MultiInetSocketAddress> route)

  Specified by:
    `getSourceRoute` in interface `SourceRouteFactory<MultiInetSocketAddress>`

### reverse

    public SourceRoute<MultiInetSocketAddress> reverse(SourceRoute<MultiInetSocketAddress> route)

  Specified by:
    `reverse` in interface `SourceRouteFactory<MultiInetSocketAddress>`

### getSourceRoute

    public SourceRoute<MultiInetSocketAddress> getSourceRoute(MultiInetSocketAddress local,
                                                              MultiInetSocketAddress dest)

  Specified by:
    `getSourceRoute` in interface `SourceRouteFactory<MultiInetSocketAddress>`

### getSourceRoute

    public SourceRoute<MultiInetSocketAddress> getSourceRoute(MultiInetSocketAddress local)

  Specified by:
    `getSourceRoute` in interface `SourceRouteFactory<MultiInetSocketAddress>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.